Optimize Tool
curl --request POST \
--url https://api.beamstudio.ai/tool/optimize/{toolFunctionName} \
--header 'Content-Type: application/json' \
--header 'current-workspace-id: <current-workspace-id>' \
--header 'x-api-key: <api-key>' \
--data '
{
"agentId": "<string>",
"taskNodes": [
{
"positive": true,
"id": "<string>",
"feedback": "<string>",
"expectedOutput": "<string>"
}
],
"autoUpdateTool": true
}
'import requests
url = "https://api.beamstudio.ai/tool/optimize/{toolFunctionName}"
payload = {
"agentId": "<string>",
"taskNodes": [
{
"positive": True,
"id": "<string>",
"feedback": "<string>",
"expectedOutput": "<string>"
}
],
"autoUpdateTool": True
}
headers = {
"current-workspace-id": "<current-workspace-id>",
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'current-workspace-id': '<current-workspace-id>',
'x-api-key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
agentId: '<string>',
taskNodes: [
{
positive: true,
id: '<string>',
feedback: '<string>',
expectedOutput: '<string>'
}
],
autoUpdateTool: true
})
};
fetch('https://api.beamstudio.ai/tool/optimize/{toolFunctionName}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"threadId": "<string>"
}Tool
Optimize Tool
Optimize a tool’s performance and configuration based on usage patterns and feedback.
POST
/
tool
/
optimize
/
{toolFunctionName}
Optimize Tool
Authorizations
Headers
Path Parameters
Body
application/json
Response
201 - application/json
Tool optimization initiated successfully
⌘I